"use strict";
const common_vendor = require("../../common/vendor.js");
const common_libraries_userUserLogin = require("../../common/libraries/userUserLogin.js");
const CUSTOMER_house_list_model = require("./model.js");
const CUSTOMER_house_list_method = require("./method.js");
const gen_Enums = require("../../gen/Enums.js");
require("../../common/libraries/request.js");
require("../../common/store/useWeAppAuthStore.js");
require("../../gen/Apis.js");
require("../../common/store/useWatermarkStore.js");
require("../../common/store/useWorkStore.js");
require("../../common/libraries/apiLoading.js");
if (!Array) {
  const _easycom_hs_cell2 = common_vendor.resolveComponent("hs-cell");
  const _easycom_hs_empty2 = common_vendor.resolveComponent("hs-empty");
  const _easycom_hs_enum_tag2 = common_vendor.resolveComponent("hs-enum-tag");
  const _easycom_hs_footer2 = common_vendor.resolveComponent("hs-footer");
  (_easycom_hs_cell2 + _easycom_hs_empty2 + _easycom_hs_enum_tag2 + _easycom_hs_footer2)();
}
const _easycom_hs_cell = () => "../../components/hs-cell/hs-cell.js";
const _easycom_hs_empty = () => "../../components/hs-empty/hs-empty.js";
const _easycom_hs_enum_tag = () => "../../components/hs-enum-tag/hs-enum-tag.js";
const _easycom_hs_footer = () => "../../components/hs-footer/hs-footer.js";
if (!Math) {
  (_easycom_hs_cell + _easycom_hs_empty + _easycom_hs_enum_tag + MyUnBindpopup + _easycom_hs_footer)();
}
const MyUnBindpopup = () => "./components/unBindpopup.js";
const _sfc_main = /* @__PURE__ */ common_vendor.defineComponent({
  __name: "index",
  setup(__props) {
    common_vendor.onShow(async (e) => {
      var _a, _b;
      await ((_a = common_vendor.getCurrentInstance()) == null ? void 0 : _a.appContext.config.globalProperties.$onLaunched);
      if ((_b = common_libraries_userUserLogin.getUser) == null ? void 0 : _b.onBindPhone()) {
        console.log("onShow_21");
        common_vendor.index.qy.getCurExternalContact({
          success: function(res) {
            var _a2;
            CUSTOMER_house_list_model.useModel.showData.value = {};
            CUSTOMER_house_list_model.useModel.formData.value.external_userid = res == null ? void 0 : res.userId;
            (_a2 = CUSTOMER_house_list_method.method) == null ? void 0 : _a2.getList();
            console.log("开始2", res);
          },
          fail: function(res) {
            var _a2;
            (_a2 = CUSTOMER_house_list_method.method) == null ? void 0 : _a2.getList();
            console.log("失败", res);
          }
        });
      }
    });
    return (_ctx, _cache) => {
      var _a, _b, _c, _d, _e, _f, _g, _h, _i, _j, _k, _l, _m, _n, _o, _p, _q, _r, _s, _t, _u, _v, _w, _x;
      return common_vendor.e({
        a: (_b = (_a = common_vendor.unref(CUSTOMER_house_list_model.useModel)) == null ? void 0 : _a.loading) == null ? void 0 : _b.value
      }, ((_d = (_c = common_vendor.unref(CUSTOMER_house_list_model.useModel)) == null ? void 0 : _c.loading) == null ? void 0 : _d.value) ? common_vendor.e({
        b: common_vendor.t(((_h = (_g = (_f = (_e = common_vendor.unref(CUSTOMER_house_list_model.useModel)) == null ? void 0 : _e.showData) == null ? void 0 : _f.value) == null ? void 0 : _g.customer) == null ? void 0 : _h.customer_name) || "请补充姓名"),
        c: common_vendor.p({
          title: "手机号",
          value: (_l = (_k = (_j = (_i = common_vendor.unref(CUSTOMER_house_list_model.useModel)) == null ? void 0 : _i.showData) == null ? void 0 : _j.value) == null ? void 0 : _k.customer) == null ? void 0 : _l.customer_phone
        }),
        d: !((_p = (_o = (_n = (_m = common_vendor.unref(CUSTOMER_house_list_model.useModel)) == null ? void 0 : _m.showData) == null ? void 0 : _n.value) == null ? void 0 : _o.houseList) == null ? void 0 : _p.length)
      }, !((_t = (_s = (_r = (_q = common_vendor.unref(CUSTOMER_house_list_model.useModel)) == null ? void 0 : _q.showData) == null ? void 0 : _r.value) == null ? void 0 : _s.houseList) == null ? void 0 : _t.length) ? {} : {}, {
        e: common_vendor.f((_w = (_v = (_u = common_vendor.unref(CUSTOMER_house_list_model.useModel)) == null ? void 0 : _u.showData) == null ? void 0 : _v.value) == null ? void 0 : _w.houseList, (i, index, i0) => {
          var _a2, _b2, _c2, _d2, _e2;
          return common_vendor.e({
            a: common_vendor.t((_a2 = i == null ? void 0 : i.asset_house) == null ? void 0 : _a2.full_name),
            b: (i == null ? void 0 : i.house_relation) === "Owner"
          }, (i == null ? void 0 : i.house_relation) === "Owner" ? {
            c: "199b823c-2-" + i0,
            d: common_vendor.p({
              value: i == null ? void 0 : i.house_relation,
              size: "md",
              Enums: common_vendor.unref(gen_Enums.HouseOccupantsHouseRelationEnum)
            })
          } : {
            e: "199b823c-3-" + i0,
            f: common_vendor.p({
              value: i == null ? void 0 : i.residential_relation,
              size: "md",
              Enums: common_vendor.unref(gen_Enums.HouseOccupantsResidentialRelationEnum)
            })
          }, {
            g: (i == null ? void 0 : i.house_relation) !== "Owner"
          }, (i == null ? void 0 : i.house_relation) !== "Owner" ? {
            h: common_vendor.o((_b2 = common_vendor.unref(CUSTOMER_house_list_method.method)) == null ? void 0 : _b2.getList, `iten_${index}`),
            i: "199b823c-4-" + i0,
            j: common_vendor.p({
              data: {
                ...i,
                external_userid: (_e2 = (_d2 = (_c2 = common_vendor.unref(CUSTOMER_house_list_model.useModel)) == null ? void 0 : _c2.formData) == null ? void 0 : _d2.value) == null ? void 0 : _e2.external_userid
              }
            })
          } : {}, {
            k: `iten_${index}`
          });
        }),
        f: common_vendor.o((_x = common_vendor.unref(CUSTOMER_house_list_method.method)) == null ? void 0 : _x.handleBindHouse),
        g: common_vendor.p({
          btnParimaryName: "绑定新房屋"
        })
      }) : {});
    };
  }
});
const MiniProgramPage = /* @__PURE__ */ common_vendor._export_sfc(_sfc_main, [["__file", "/Users/zsq/Sources/github/2025property-pay/pay-employee/src/CUSTOMER/house_list/index.vue"]]);
wx.createPage(MiniProgramPage);
